
Infrastructure - Task #1087

Story # 1086 (Closed): Create a common test resources location

simplify resource hierarchy in d1_integration

2010-11-17 18:13 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.22-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

Related issues:

Related to Infrastructure - Task #1088: refactor d1_integration tests to poin... Closed

History

#1 - 2010-11-17 18:41 - Rob Nahf

the heirarchy d1_integration/src/test/resources/org/dataone/client/tests is cumbersome for both python and java (eclipse doesn't "package" the path

like it does with java files).  The proposal is to replace it with d1_integration/src/test/resources/d1_testdocs, keeping the first part to stay within maven

convention.

(Re-organization within that structure is left to task #1089)

#2 - 2010-11-19 00:06 - Rob Nahf

- Status changed from New to In Progress

#3 - 2010-11-19 00:22 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours changed from 1.0 to 0.0

updated the directory structure, and refactored code pointing to these files.  All test cases in D1ClientTests pass that passed earlier (10 out of 12). 

checksum causing other two to fail, as already known.
